Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ejb
Class NoSuchEntityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.ejb.EJBException
                      javax.ejb.NoSuchEntityException

All Implemented Interfaces:
  java.io.Serializable

public class NoSuchEntityException
extends EJBException

The NoSuchEntityException exception is thrown by an Entity Bean instance to its container to report that the invoked business method or callback method could not be completed because of the underlying entity was removed from the database.

This exception may be thrown by the bean class methods that implement the business methods defined in the bean's component interface; and by the ejbLoad and ejbStore methods.

See Also:
  Serialized Form

Constructor Summary
`NoSuchEntityException()` Constructs a NoSuchEntityException with no detail message.
`NoSuchEntityException(java.lang.Exception ex)` Constructs a NoSuchEntityException that embeds the originally thrown exception.
`NoSuchEntityException(java.lang.String message)` Constructs a NoSuchEntityException with the specified detailed message.

Methods inherited from class javax.ejb.EJBException
`getCausedByException, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchEntityException

    public NoSuchEntityException()

  Constructs a NoSuchEntityException with no detail message.

### NoSuchEntityException

    public NoSuchEntityException(java.lang.String message)

  Constructs a NoSuchEntityException with the specified detailed message.

### NoSuchEntityException

    public NoSuchEntityException(java.lang.Exception ex)

  Constructs a NoSuchEntityException that embeds the originally thrown exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.